{
    "$graph": [
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-single",
                "sentinel_outputs=vc_rec:validate__summary;validate__tp;validate__fp;validate__fn;description;resources;vrn_file;config__algorithm__validate;reference__fasta__base;config__algorithm__variantcaller;reference__snpeff__GRCh38_86;config__algorithm__coverage_interval;metadata__batch;metadata__phenotype;reference__twobit;config__algorithm__validate_regions;genome_build;genome_resources__aliases__human;config__algorithm__tools_off;genome_resources__variation__dbsnp;genome_resources__variation__cosmic;reference__genome_context;analysis;config__algorithm__tools_on;config__algorithm__variant_regions;genome_resources__aliases__ensembl;reference__rtg;genome_resources__aliases__snpeff;align_bam;regions__sample_callable;config__algorithm__callable_regions",
                "sentinel_inputs=batch_rec:record,vrn_file:var"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "compare_to_rm",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 16,
                    "outdirMin": 50619,
                    "ramMin": 57344,
                    "tmpdirMin": 49595
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bcftools",
                            "specs": [
                                "https://anaconda.org/bioconda/bcftools"
                            ]
                        },
                        {
                            "package": "bedtools",
                            "specs": [
                                "https://anaconda.org/bioconda/bedtools"
                            ]
                        },
                        {
                            "package": "pythonpy",
                            "specs": [
                                "https://anaconda.org/bioconda/pythonpy"
                            ]
                        },
                        {
                            "package": "gvcf-regions",
                            "specs": [
                                "https://anaconda.org/bioconda/gvcf-regions"
                            ]
                        },
                        {
                            "package": "htslib",
                            "specs": [
                                "https://anaconda.org/bioconda/htslib"
                            ]
                        },
                        {
                            "package": "rtg-tools",
                            "specs": [
                                "https://anaconda.org/bioconda/rtg-tools"
                            ]
                        },
                        {
                            "package": "vcfanno",
                            "specs": [
                                "https://anaconda.org/bioconda/vcfanno"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#compare_to_rm.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#compare_to_rm.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#compare_to_rm.cwl/vrn_file",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#compare_to_rm.cwl",
            "outputs": [
                {
                    "id": "#compare_to_rm.cwl/vc_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#compare_to_rm.cwl/vc_rec/vc_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#compare_to_rm.cwl/vc_rec/vc_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ]
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-merge",
                "sentinel_outputs=vrn_file",
                "sentinel_inputs=batch_rec:record,region_block:var,vrn_file_region:var"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "concat_batch_variantcalls",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 50619,
                    "ramMin": 3584,
                    "tmpdirMin": 49595
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bcftools",
                            "specs": [
                                "https://anaconda.org/bioconda/bcftools"
                            ]
                        },
                        {
                            "package": "htslib",
                            "specs": [
                                "https://anaconda.org/bioconda/htslib"
                            ]
                        },
                        {
                            "package": "gatk4",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk4"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#concat_batch_variantcalls.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#concat_batch_variantcalls.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#concat_batch_variantcalls.cwl/region_block",
                    "type": {
                        "items": {
                            "items": "string",
                            "type": "array"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#concat_batch_variantcalls.cwl/vrn_file_region",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": {
                        "items": "File",
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#concat_batch_variantcalls.cwl/vrn_file",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#concat_batch_variantcalls.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-split",
                "sentinel_outputs=region_block",
                "sentinel_inputs=batch_rec:record"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "get_parallel_regions",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 50619,
                    "ramMin": 3584,
                    "tmpdirMin": 49595
                }
            ],
            "inputs": [
                {
                    "id": "#get_parallel_regions.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#get_parallel_regions.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#get_parallel_regions.cwl/region_block",
                    "type": {
                        "items": {
                            "items": "string",
                            "type": "array"
                        },
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#get_parallel_regions.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-parallel",
                "sentinel_outputs=vrn_file_region,region_block",
                "sentinel_inputs=batch_rec:record,region_block:var"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "variantcall_batch_region",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 16,
                    "outdirMin": 50619,
                    "ramMin": 57344,
                    "tmpdirMin": 49595
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bcftools",
                            "specs": [
                                "https://anaconda.org/bioconda/bcftools"
                            ]
                        },
                        {
                            "package": "bedtools",
                            "specs": [
                                "https://anaconda.org/bioconda/bedtools"
                            ]
                        },
                        {
                            "package": "freebayes",
                            "specs": [
                                "https://anaconda.org/bioconda/freebayes"
                            ],
                            "version": [
                                "1.1.0.46"
                            ]
                        },
                        {
                            "package": "gatk",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk"
                            ]
                        },
                        {
                            "package": "gatk4",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk4"
                            ]
                        },
                        {
                            "package": "gatk-framework",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk-framework"
                            ]
                        },
                        {
                            "package": "htslib",
                            "specs": [
                                "https://anaconda.org/bioconda/htslib"
                            ]
                        },
                        {
                            "package": "picard",
                            "specs": [
                                "https://anaconda.org/bioconda/picard"
                            ]
                        },
                        {
                            "package": "platypus-variant",
                            "specs": [
                                "https://anaconda.org/bioconda/platypus-variant"
                            ]
                        },
                        {
                            "package": "pythonpy",
                            "specs": [
                                "https://anaconda.org/bioconda/pythonpy"
                            ]
                        },
                        {
                            "package": "samtools",
                            "specs": [
                                "https://anaconda.org/bioconda/samtools"
                            ]
                        },
                        {
                            "package": "strelka",
                            "specs": [
                                "https://anaconda.org/bioconda/strelka"
                            ]
                        },
                        {
                            "package": "vardict",
                            "specs": [
                                "https://anaconda.org/bioconda/vardict"
                            ]
                        },
                        {
                            "package": "vardict-java",
                            "specs": [
                                "https://anaconda.org/bioconda/vardict-java"
                            ]
                        },
                        {
                            "package": "varscan",
                            "specs": [
                                "https://anaconda.org/bioconda/varscan"
                            ]
                        },
                        {
                            "package": "vcfanno",
                            "specs": [
                                "https://anaconda.org/bioconda/vcfanno"
                            ]
                        },
                        {
                            "package": "vcflib",
                            "specs": [
                                "https://anaconda.org/bioconda/vcflib"
                            ]
                        },
                        {
                            "package": "vt",
                            "specs": [
                                "https://anaconda.org/bioconda/vt"
                            ]
                        },
                        {
                            "package": "r",
                            "specs": [
                                "https://anaconda.org/bioconda/r"
                            ],
                            "version": [
                                "3.4.1"
                            ]
                        },
                        {
                            "package": "perl",
                            "specs": [
                                "https://anaconda.org/bioconda/perl"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#variantcall_batch_region.cwl/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#variantcall_batch_region.cwl/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#variantcall_batch_region.cwl/region_block_toolinput",
                    "type": {
                        "items": "string",
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#variantcall_batch_region.cwl/vrn_file_region",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                },
                {
                    "id": "#variantcall_batch_region.cwl/region_block",
                    "type": {
                        "items": "string",
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#variantcall_batch_region.cwl"
        },
        {
            "class": "Workflow",
            "hints": [],
            "inputs": [
                {
                    "id": "#main/batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#main/batch_rec/batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/batch_rec/batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#main/batch_rec/batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#main/vc_rec",
                    "outputSource": "#main/compare_to_rm/vc_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#main/vc_rec/vc_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/vc_rec/vc_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#main/vc_rec/vc_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "EnvVarRequirement",
                    "envDef": [
                        {
                            "envName": "MPLCONFIGDIR",
                            "envValue": "."
                        }
                    ]
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "id": "#main/get_parallel_regions",
                    "in": [
                        {
                            "id": "#main/get_parallel_regions/batch_rec",
                            "source": "#main/batch_rec"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/get_parallel_regions/region_block"
                        }
                    ],
                    "run": "#get_parallel_regions.cwl"
                },
                {
                    "id": "#main/variantcall_batch_region",
                    "in": [
                        {
                            "id": "#main/variantcall_batch_region/batch_rec",
                            "source": "#main/batch_rec"
                        },
                        {
                            "id": "#main/variantcall_batch_region/region_block_toolinput",
                            "source": "#main/get_parallel_regions/region_block"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/variantcall_batch_region/vrn_file_region"
                        },
                        {
                            "id": "#main/variantcall_batch_region/region_block"
                        }
                    ],
                    "run": "#variantcall_batch_region.cwl",
                    "scatter": [
                        "#main/variantcall_batch_region/region_block_toolinput"
                    ],
                    "scatterMethod": "dotproduct"
                },
                {
                    "id": "#main/concat_batch_variantcalls",
                    "in": [
                        {
                            "id": "#main/concat_batch_variantcalls/batch_rec",
                            "source": "#main/batch_rec"
                        },
                        {
                            "id": "#main/concat_batch_variantcalls/region_block",
                            "source": "#main/variantcall_batch_region/region_block"
                        },
                        {
                            "id": "#main/concat_batch_variantcalls/vrn_file_region",
                            "source": "#main/variantcall_batch_region/vrn_file_region"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/concat_batch_variantcalls/vrn_file"
                        }
                    ],
                    "run": "#concat_batch_variantcalls.cwl"
                },
                {
                    "id": "#main/compare_to_rm",
                    "in": [
                        {
                            "id": "#main/compare_to_rm/batch_rec",
                            "source": "#main/batch_rec"
                        },
                        {
                            "id": "#main/compare_to_rm/vrn_file",
                            "source": "#main/concat_batch_variantcalls/vrn_file"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/compare_to_rm/vc_rec"
                        }
                    ],
                    "run": "#compare_to_rm.cwl"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
